#include <iostream>
using namespace std;
string niz[1000000];
int main(){
    int n;
    for(int i=0;i<n;i++){
        cin>>niz[i];
    }
    if(N<26){
        cout<<0<<endl;
    }
    else if(N=26){
        for(int i=0;i<26;i++){
            if(niz[i]!=i+'A'){
                cout<<0<<endl;
                return 0;
            }
        }
        cout<<1<<endl;
    }
    return 0;
}